Bug 246405 - CastPodder will not load, it will crash after the splash screen
CastPodder will not load, it will crash after the splash screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: CastPodder (Show other bugs)
7
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-01 18:58 EDT by Brian Wright
Modified: 2008-12-27 13:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:46:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Wright 2007-07-01 18:58:30 EDT
Description of problem: CastPodder will not load, it starts up with the splash 
screen but then crashes.  This appears to be an incompatibility with 
wxPython-2.8


Version-Release number of selected component (if applicable): 5.0-8


How reproducible:  start CastPodder from a command line and it will then load 
with the splash/title screen but then crashes.


Steps to Reproduce:
1. yum install CastPodder
2. start CastPodder from a command
3.
  
Actual results:  CastPodder crashes with the following error:


CastPodderGui.py:48: DeprecationWarning: The wxPython compatibility package is 
no longer automatically generated or actively maintained.  Please switch to 
the wx package as soon as possible.
  from   wxPython.wx import *
[<class 'ipodder.players.XMMSPlayer'>, <class 'ipodder.players.NoPlayer'>]
Beep-Media-Player couldn't be imported
Traceback (most recent call last):
  File "CastPodderGui.py", line 3623, in <module>
    main()
  File "CastPodderGui.py", line 3617, in main
    myApp = iPodderGui(ipodder)
  File "CastPodderGui.py", line 685, in __init__
    wx.App.__init__(self, False, None)
  File "/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", 
line 7757, in __init__
    self._BootstrapApp()
  File "/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", 
line 7354, in _BootstrapApp
    return _core_.PyApp__BootstrapApp(*args, **kwargs)
  File "CastPodderGui.py", line 1519, in OnInit
    self.InitHooks()
  File "CastPodderGui.py", line 1876, in InitHooks
    for att, method in inspect.getmembers(self, inspect.ismethod):
  File "/usr/lib/python2.5/inspect.py", line 206, in getmembers
    value = getattr(object, key)
  File "/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", 
line 9319, in GetAcceleratorTable
    return _core_.Window_GetAcceleratorTable(*args, **kwargs)
TypeError: in method 'Window_GetAcceleratorTable', expected argument 1 of 
type 'wxWindow *' 



Expected results:  CastPodder should start and run


Additional info:  Installing the compatibility packages for wxPython and wxGTK 
does not resolve the issue.  I've also seen this happen with the icepodder 
package which is the successor to CastPodder
Comment 1 Brian Wright 2007-07-09 12:32:24 EDT
I was able to get CastPodder to load by installing the wxGTK and wxPython 2.6.3
packages from Fedora Core 6.  Apparentlly CastPodder has a compatibility issue
with wxPython 2.8.

Also, I would advise replacing CastPodder with IcePodder at
icepodder.fryingoverajungle.net.  It's basically a continuation of CastPodder
development after the original team stood down.
Comment 2 Adam Williamson 2007-09-05 20:10:04 EDT
The fix is in fact rather simple:

http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/cooker/icepodder/current/SOURCES/icepodder-5.4-wx26.patch?view=log

CastPodder / IcePodder use wxversion.ensureMinimal('2.6') to require wxGTK 2.6
at minimum. Since they don't work with 2.8, all you have to do is change it to
wxversion.select('2.6') , to use *only* version 2.6. And obviously, you need
packages of wxGTK 2.6 that are parallel installable with your 2.8 packages. :)
We have this setup in Mandriva, you guys can grab our specs if you need to, of
course.
Comment 3 Scott 2008-04-01 14:41:18 EDT
This problem exists in Fedora 9 as well.
Comment 4 Bug Zapper 2008-05-14 09:22:51 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:46:11 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Adam Williamson 2008-12-27 13:15:32 EST
This should be re-opened: comment #3 specifically noted that it exists in F9 too.

Note You need to log in before you can comment on or make changes to this bug.